Subject: Re: Help - First time user
From: [email-masked] (BMullenber)

7 Jan 1998 01:09:03 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]

I have win95 too. And I am using g++.  I am also a beginneer so don't trust on
me for everything but this is how it should be set up.

cd\gnuwin32\b18
set GCC_EXEC_PREFIX=C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\
PATH=C:\gnuwin32\b18\H-i386-cygwin32\bin;C:\gnuwin32\b18\tcl\bin
set TCL_LIBRARY=C:\gnuwin32\b18\tcl\lib\tcl7.6
set GDBTK_LIBRARY=C:\gnuwin32\b18\share\gdbtcl

put that in your autoexec.bat file in C:\
then restart your computer ( a must)

to run g++

go to the dos window
C:\gnuwin32\b18\h-i386~1\bin\  
and type g++ -o hello.exe hello.c

that will turn your hello.c file into a executable.  

Thats about all I know.

Later..
Brandon

In a message dated 98-01-07 03:07:07 EST, you write:

<< Hi,
 
 I have just installed gnu-win32 beta18 binary release in
 my win95 machine.
 
 Can any one tell me how to set up the gnu-win32 gcc compiler?
 How can I set up the following paths?
 
 	COMPILER_PATH
 	LIBRARY_PATH
 	C_INCLUDE_PATH
 	CPLUS_INCLUDE_PATH
 	OBJC_INCLUDE_PATH
 
 It seems that gcc doesn't work properly. With simple c++
 program(Hello world!), it didn't work. Following is what
 I got from the program:
 
 	bash$ gcc test.cc
 	C:\WINDOW\TEMP\cc0010511.o(.text+0x2e):test.cc: undefined reference to
 'cout'
 	C:\WINDOW\TEMP\cc0010511.o(.text+0x33):test.cc: undefined reference to
 'ostream::operator<<(char const *)'
 	gcc: Internal compiler error: program ld got fatal signal 1
 
 Thanks
 
 Young >>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".